Themen lassen sich nicht mehr öffnen!!!! Bitte um hilfe!!

  • Affected App
    WoltLab Suite Forum

    ID: 5fb0cdf18cdb638803fb92937a216d269100d883
    Bitte teilen Sie dem Betreiber die oben stehende ID mit.
    Die Fehlermeldung kann mit dieser ID über „ACP » Protokoll » Fehler“ eingesehen werden.




    <<<<<<<<5fb0cdf18cdb638803fb92937a216d269100d883<<<<
    Sun, 13 Dec 2015 22:11:33 +0000
    Message: SQLSTATE[42S22]: Column not found: 1054 Unknown column 'post.username' in 'order clause'
    File: /var/customers/webs/ni189736_2/wcf/lib/system/database/Database.class.php (231)
    PHP version: 5.3.29
    WCF version: 2.1.8 pl 1 (Typhoon)
    Request URI: /index.php?thread/10-server-neuigkeiten/
    Referrer: german-super-production.de/
    User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:42.0) Gecko/20100101 Firefox/42.0
    Information: "<b>sql type:<\/b>
    wcf\\system\\database\\MySQLDatabase<br \/><b>sql
    error:<\/b> Unknown column 'post.username' in 'order clause'<br
    \/><b>sql error number:<\/b> 42S22<br
    \/><b>sql version:<\/b> 5.1.73-1+deb6u1<br
    \/><b>sql query:<\/b> SELECT user.username as username,
    userList.userID as userID, userList.Counter as Counter FROM (SELECT
    post.userID, COUNT(*) as Counter\n\t\t\tFROM\twbb1_post post\n
    WHERE post.threadID = ? AND post.isDeleted = 0 AND post.isDisabled = 0
    GROUP BY post.userID) userList\n\t\t\tLEFT JOIN wcf1_user
    user\n\t\t\tON user.userID = userList.userID\n ORDER BY
    Counter DESC, post.username DESC LIMIT 10<br \/>"
    Stacktrace:
    #0
    /var/customers/webs/ni189736_2/lib/data/post/WhoWrite.class.php(69):
    wcf\system\database\Database->prepareStatement('SELECT user.us...')
    #1
    /var/customers/webs/ni189736_2/lib/system/event/listener/WhoWriteInThreadListener.class.php(24):
    wbb\data\post\WhoWrite::createArray(10)
    #2
    /var/customers/webs/ni189736_2/wcf/lib/system/event/EventHandler.class.php(221):
    wbb\system\event\listener\WhoWriteInThreadListener->execute(Object(wbb\page\ThreadPage),
    'wbb\page\Thread...', 'assignVariables')
    #3
    /var/customers/webs/ni189736_2/wcf/lib/page/AbstractPage.class.php(127):
    wcf\system\event\EventHandler->fireAction(Object(wbb\page\ThreadPage),
    'assignVariables')
    #4 /var/customers/webs/ni189736_2/wcf/lib/page/MultipleLinkPage.class.php(211): wcf\page\AbstractPage->assignVariables()
    #5 /var/customers/webs/ni189736_2/lib/page/ThreadPage.class.php(309): wcf\page\MultipleLinkPage->assignVariables()
    #6 /var/customers/webs/ni189736_2/wcf/lib/page/AbstractPage.class.php(276): wbb\page\ThreadPage->assignVariables()
    #7 /var/customers/webs/ni189736_2/wcf/lib/page/AbstractPage.class.php(100): wcf\page\AbstractPage->show()
    #8 /var/customers/webs/ni189736_2/wcf/lib/system/request/Request.class.php(58): wcf\page\AbstractPage->__run()
    #9
    /var/customers/webs/ni189736_2/wcf/lib/system/request/RequestHandler.class.php(139):
    wcf\system\request\Request->execute()
    #10 /var/customers/webs/ni189736_2/index.php(10): wcf\system\request\RequestHandler->handle('wbb')
    #11 {main}
    <<<<

    • Official Post

    Kommt vom Plugin: Wer hat in dem Thema geschrieben (oder so ähnlich).
    PS: Satzzeichen sind keine Rudeltiere, auch nicht im Titel und Dinge wie "Hilfe bitte" gehören da auch nicht rein.

  • Aktualisiere dieses Paket:




    auf die neueste Version.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • /var/customers/webs/ni189736_2/wcf/lib/system/event/EventHandler.class.php(221):
    wbb\system\event\listener\WhoWriteInThreadListener->execute(Object(wbb\page\ThreadPage)

    Kann es sein das du dieses Plugin installiert hast?


    Der Fehler wurde dort (Kommentare) gemeldet:


    Nach einem Update auf 1.0.9 pl3 kam bei Zugriffen auf Threads eine "Column not found: 1054 Unknown column 'post.username' in 'order clause'"-Fehlermeldung. Hab es deinstalliert und versuche die ältere Version wieder, die bei mir noch stabil lief (1.0.9 pl1)

    Der Hersteller meint dazu:




    Installier die pl 3 und dann mach ein update der Option. Dann sollte es gehen.

  • @T1N0: Es soll auch Kunden geben, die nicht über einen eigenen Server verfügen.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • Aber jeder Hoster bietet auch andere Versionen zur Auswahl an. Oder leben die alle noch im Steinzeitalter?

    nö, also bei uns kann man, wenn man möchte, über die php.ini Datei oder so .. wählen, welche PHp-version man nutzen kann..
    wir aber nutzen beispielsweise noch absichtlich die 5.3 .. weils mir sonst einiges an Plugins schiessen würde.. (schon mal versucht höher zu gehen)


    muss doch jeder selbst wissen...

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!